org.jgrapht.util

## Interface WeightCombiner

-     public interface WeightCombiner

  Binary operator for edge weights. There are some prewritten operators.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WeightCombiner` | `FIRST` First weight.
    `static WeightCombiner` | `MAX` Maximum weight.
    `static WeightCombiner` | `MIN` Minimum weight.
    `static WeightCombiner` | `MULT` Multiplication of weights.
    `static WeightCombiner` | `SECOND` Second weight.
    `static WeightCombiner` | `SUM` Sum of weights.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `combine(double a, double b)` Combines two weights.

- - ### Field Detail

    - #### SUM

          static final WeightCombiner SUM

      Sum of weights.

    - #### MULT

          static final WeightCombiner MULT

      Multiplication of weights.

    - #### MIN

          static final WeightCombiner MIN

      Minimum weight.

    - #### MAX

          static final WeightCombiner MAX

      Maximum weight.

    - #### FIRST

          static final WeightCombiner FIRST

      First weight.

    - #### SECOND

          static final WeightCombiner SECOND

      Second weight.

  - ### Method Detail

    - #### combine

          double combine(double a,
                       double b)

      Combines two weights.
      Parameters:
        `a` - first weight
        `b` - second weight
      Returns:
        result of the operator

Copyright © 2016. All rights reserved.